Summary:	Prereads programs required for startup into memory
Name:		readahead
Version:	0.01
Release:	b1
Serial:         1
Group:          System Environment/Base
License:        GPL/OSL
Source0:	readahead-%{version}.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
BuildArchitectures: i586

%description
This service causes the programs used during startup
to be loaded into memory before they are needed,
thus improving startup performance


%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/rc.d/init.d


%install
gcc -Wall -O2 -g readahead-list.c -o %{buildroot}/usr/sbin/readahead
strip %{buildroot}/usr/sbin/readahead
install -m 755 readahead.init %{buildroot}/etc/rc.d/init.d/readahead
install -m 644 readahead.files %{buildroot}/etc/readahead.files

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/readahead.files
/usr/sbin/readahead
/etc/rc.d/init.d/readahead

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del readahead
fi

%post
/sbin/chkconfig --add readahead


%changelog
* Sat Apr 30 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
